Loading...
Searching...
No Matches
mdds::detail::rtree::default_rtree_traits Struct Reference

## Static Public Attributes

static constexpr size_t | dimensions = 2
static constexpr size_t | min_node_size = 40
static constexpr size_t | max_node_size = 100
static constexpr size_t | max_tree_depth = 100
static constexpr bool | enable_forced_reinsertion = true
static constexpr size_t | reinsertion_size = 30

## Member Data Documentation

## dimensions

size_t mdds::detail::rtree::default_rtree_traits::dimensions = 2

static constexpr

Number of dimensions in bounding rectangles.

## enable_forced_reinsertion

bool mdds::detail::rtree::default_rtree_traits::enable_forced_reinsertion = true

static constexpr

A flag to determine whether or not to perform forced reinsertion when a directory node overflows, before attempting to split the node.

## max_node_size

size_t mdds::detail::rtree::default_rtree_traits::max_node_size = 100

static constexpr

Maximum number of child nodes that each directory node is allowed to have. There are no exceptions to this rule.

## max_tree_depth

size_t mdds::detail::rtree::default_rtree_traits::max_tree_depth = 100

static constexpr

Maximum depth a tree is allowed to have.

## min_node_size

size_t mdds::detail::rtree::default_rtree_traits::min_node_size = 40

static constexpr

Minimum number of child nodes that must be present in each directory node. Exception is the root node, which is allowed to have less than the minimum number of nodes, but only when it's a leaf directory node.

## reinsertion_size

size_t mdds::detail::rtree::default_rtree_traits::reinsertion_size = 30

static constexpr

Number of nodes to get re-inserted during forced reinsertion. This should be roughly 30% of max_node_size + 1, and should not be greater than max_node_size - min_node_size + 1.